karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Emily Berk (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (KARAF-5353) The "Log4j v2 support" Section in the Documentation is Outdated
Date Fri, 08 Sep 2017 01:15:00 GMT

     [ https://issues.apache.org/jira/browse/KARAF-5353?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Emily Berk updated KARAF-5353:
------------------------------
    Description: The {{Log4j v2 support}} section in the Documentation includes steps to enable
log4j2 support, but Karaf 4.1.2 includes log4j2 by default.  (was: The {{Log4j v2 support}}
section in the Documentation includes steps to
{code}
. Edit `etc/startup.properties` to replace the line `org/ops4j/pax/logging/pax-logging-service/1.8.4/pax-logging-service-1.8.4.jar=8`
with `org/ops4j/pax/logging/pax-logging-log4j2/1.8.4/pax-logging-log4j2-1.8.4.jar=8`
. Add pax-logging-log4j2 jar file in `system/org/ops4j/pax/logging/pax-logging-log4j2/x.x/pax-logging-log4j2-x.x.jar
where x.x is the version as defined in `etc/startup.properties`
{code}
However, Karaf 4.1.2 includes
{code}
mvn\:org.ops4j.pax.logging/pax-logging-api/1.10.1 = 8
mvn\:org.ops4j.pax.logging/pax-logging-log4j2/1.10.1 = 8
{code}
already by default.)

> The "Log4j v2 support" Section in the Documentation is Outdated
> ---------------------------------------------------------------
>
>                 Key: KARAF-5353
>                 URL: https://issues.apache.org/jira/browse/KARAF-5353
>             Project: Karaf
>          Issue Type: Documentation
>    Affects Versions: 4.1.2
>            Reporter: Emily Berk
>            Priority: Trivial
>
> The {{Log4j v2 support}} section in the Documentation includes steps to enable log4j2
support, but Karaf 4.1.2 includes log4j2 by default.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message